The *check-network.ps1* Script
===========================

This PowerShell script queries the network details of the local computer and prints it.

Parameters
----------
```powershell
/Repos/PowerShell/scripts/check-network.ps1 [<CommonParameters>]

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./check-network.ps1



=== N E T W O R K ===
✅ Firewall enabled
...

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Checks the network
.DESCRIPTION
	This PowerShell script queries the network details of the local computer and prints it.
.EXAMPLE
	PS> ./check-network.ps1

	   === N E T W O R K ===
	✅ Firewall enabled
	...
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

Write-Host "`n   === N E T W O R K ===" -foregroundColor green
& "$PSScriptRoot/check-firewall"
& "$PSScriptRoot/list-local-ip.ps1"
& "$PSScriptRoot/ping-local-devices.ps1"
& "$PSScriptRoot/list-network-shares.ps1"
& "$PSScriptRoot/list-internet-ip.ps1"
& "$PSScriptRoot/ping-internet.ps1"
& "$PSScriptRoot/check-dns.ps1"
& "$PSScriptRoot/check-vpn.ps1"
& "$PSScriptRoot/list-ssh-key.ps1"
exit 0 # success
```

*(page generated by convert-ps2md.ps1 as of 01/23/2025 12:15:19)*
